<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* layout-form-assign-to-campaign.twig */
class __TwigTemplate_4483aea180616f0b6a1f5f721eada30627966b98f64bed2441349949f0089836 extends \Twig\Template
{
    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formButtons' => [$this, 'block_formButtons'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 10
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        // line 11
        $context["forms"] = $this->loadTemplate("forms.twig", "layout-form-assign-to-campaign.twig", 11)->unwrap();
        // line 10
        $this->parent = $this->loadTemplate("form-base.twig", "layout-form-assign-to-campaign.twig", 10);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 13
    public function block_formTitle($context, array $blocks = [])
    {
        // line 14
        echo "    ";
        $context["name"] = $this->getAttribute(($context["layout"] ?? null), "layout", []);
        // line 15
        echo "    ";
        /* xgettext:no-php-format */        echo strtr(__("Assign %name% to a Campaign"), array("%name%" => ($context["name"] ?? null), ));
    }

    // line 18
    public function block_formButtons($context, array $blocks = [])
    {
        // line 19
        echo "    ";
        echo __("Help");
        echo ", XiboHelpRender(\"";
        echo twig_escape_filter($this->env, ($context["help"] ?? null), "html", null, true);
        echo "\")
    ";
        // line 20
        echo __("Cancel");
        echo ", XiboDialogClose()
    ";
        // line 21
        echo __("Assign");
        echo ", assignLayoutToCampaignFormSubmit()
";
    }

    // line 24
    public function block_formHtml($context, array $blocks = [])
    {
        // line 25
        echo "    <div class=\"row\">
        <div class=\"col-md-12\">
            <form id=\"layoutAssignCampaignForm\" class=\"XiboForm form-horizontal\" method=\"post\" action=\"";
        // line 27
        echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("campaign.assign.layout"), "html", null, true);
        echo "\" data-layout-id=\"";
        echo twig_escape_filter($this->env, $this->getAttribute(($context["layout"] ?? null), "layoutId", []), "html", null, true);
        echo "\">
                ";
        // line 28
        ob_start(function () { return ''; });
        echo __("Campaign");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 29
        echo "                ";
        ob_start(function () { return ''; });
        echo __("Please select the Campaign you would like to assign this Layout to. It will be assigned to the end of the Campaign.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 30
        echo "                ";
        echo $context["forms"]->getdropdown("campaignId", "single", ($context["title"] ?? null), null, ($context["campaigns"] ?? null), "campaignId", "campaign", ($context["helpText"] ?? null), "selectPicker", "", "b", "", [0 => ["name" => "data-live-search", "value" => "true"]]);
        echo "
            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "layout-form-assign-to-campaign.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  97 => 30,  92 => 29,  88 => 28,  82 => 27,  78 => 25,  75 => 24,  69 => 21,  65 => 20,  58 => 19,  55 => 18,  50 => 15,  47 => 14,  44 => 13,  39 => 10,  37 => 11,  31 => 10,);
    }

    /** @deprecated since 1.27 (to be removed in 2.0). Use getSourceContext() instead */
    public function getSource()
    {
        @trigger_error('The '.__METHOD__.' method is deprecated since version 1.27 and will be removed in 2.0. Use getSourceContext() instead.', E_USER_DEPRECATED);

        return $this->getSourceContext()->getCode();
    }

    public function getSourceContext()
    {
        return new Source("", "layout-form-assign-to-campaign.twig", "/home/mgatv524/public_html/edurocha/views/layout-form-assign-to-campaign.twig");
    }
}
